<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 11:12:23
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 10:28:59
 * 微信类
 */
namespace app\index\logic;

use app\index\model\companymodel;
use app\index\model\usermodel;

class companylogic extends baselogic
{
    /**
     * 设置请求数据规则
     * 20220107
     * wj
     */
    protected function setrules()
    {
        $list = [
            'newinfo' => [
                ['name' => 'openid', 'title' => 'openid', 'require' => true, 'type' => 'string'],
            ],
            'getinfobyid' => [
                ['name' => 'id', 'title' => 'id', 'require' => true, 'type' => 'string'],
            ],
            'updatebyid' => [
                ['name' => 'id', 'title' => 'id', 'require' => true, 'type' => 'string'],
            ],
        ];
        return $list;
    }
    /**
     * 新建信息
     * wj
     * 20220118
     */
    public function newinfo($arr)
    {
        $result = $this->checkparam(__FUNCTION__, $arr);
        if (1 != $result['status']) {
            return $result;
        }
        $m_u = new usermodel();
        $m_c = new companymodel();
        $openid = $arr['openid'];
        $info = $m_u->getinfobyopenid($openid);
        if (empty($info)) {
            return backarr(0, "用户不存在");
        }
        if (empty($info['is_company'])) {
            return backarr(0, "非企业用户");
        }
        unset($arr['openid']);
        $id = $m_c->insertData($arr);
        $updateDate = ['company_id' => $id];
        $row = $m_u->updatebyid($info['id'], $updateDate);
        return backarr(1, "新增成功", ['id' => $id]);
    }
    /**
     * 根据id获取企业信息
     * wj
     * 20220118
     */
    public function getinfobyid($arr)
    {
        $result = $this->checkparam(__FUNCTION__, $arr);
        if (1 != $result['status']) {
            return $result;
        }
        $id = $arr['id'];
        $m_c = new companymodel();
        $info = $m_c->getinfobyid($id);
        if (empty($info)) {
            return backarr(0, "无数据");
        }
        return backarr(1, "获取成功", $info);
    }
    /**
     * 根据id修改企业信息
     * wj
     * 20220118
     */
    public function updatebyid($arr)
    {
        $result = $this->checkparam(__FUNCTION__, $arr);
        if (1 != $result['status']) {
            return $result;
        }
        $id = $arr['id'];
        unset($arr['id']);
        $m_c = new companymodel();
        $row = $m_c->updatebyid($id, $arr);
        if (empty($row)) {
            return backarr(0, "修改失败");
        }
        return backarr(1, "获取成功", ['id' => $id]);
    }
}
