<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 11:12:23
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 13:36:15
 * 微信类
 */
namespace app\index\logic;

use app\index\model\educationbackgroundemodel;
use app\index\model\resumemodel;
use app\index\model\usermodel;
use app\index\model\workexperiencemodel;

class resumelogic extends baselogic
{
    /**
     * 设置请求数据规则
     * 20220107
     * wj
     */
    protected function setrules()
    {
        $list = [
            'newinfo' => [
                ['name' => 'openid', 'title' => 'openid', 'require' => true, 'type' => 'string'],
            ],
            'newebinfo' => [
                ['name' => 'openid', 'title' => 'openid', 'require' => true, 'type' => 'string'],
            ],
            'newweinfo' => [
                ['name' => 'openid', 'title' => 'openid', 'require' => true, 'type' => 'string'],
            ],
        ];
        return $list;
    }
    /**
     * 新增信息
     * 20200119
     * wj
     */
    public function newinfo($arr)
    {
        $result = $this->checkparam(__FUNCTION__, $arr);
        if (1 != $result['status']) {
            return $result;
        }
        $openid = $arr['openid'];
        $m_u = new usermodel();
        $uinfo = $m_u->getinfobyopenid($openid);
        if (empty($uinfo)) {
            return backarr(0, "用户信息不存在");
        }
        $userid = $uinfo['id'];
        $m_r = new resumemodel();
        $rinfo = $m_r->getinfobyuserid($userid);
        if (!empty($rinfo)) {
            return backarr(0, "简历已存在");
        }
        $arr['user_id'] = $uinfo['id'];
        $id = $m_r->insertData($arr);
        if (empty($id)) {
            return backarr(0, "新增失败");
        }
        return backarr(1, "新增成功", ['id' => $id]);
    }
    /**
     * 新增教育背景
     * 20200119
     * wj
     */
    public function newebinfo($arr)
    {
        $result = $this->checkparam(__FUNCTION__, $arr);
        if (1 != $result['status']) {
            return $result;
        }
        $openid = $arr['openid'];
        $m_u = new usermodel();
        $uinfo = $m_u->getinfobyopenid($openid);
        if (empty($uinfo)) {
            return backarr(0, "用户信息不存在");
        }
        $userid = $uinfo['id'];
        $m_r = new resumemodel();
        $rinfo = $m_r->getinfobyuserid($userid);
        if (empty($rinfo)) {
            return backarr(0, "简历不存在");
        }
        $resumeid = $rinfo['id'];
        $arr['resume_id'] = $resumeid;
        $arr['user_id'] = $userid;
        $m_eb = new educationbackgroundemodel();
        $id = $m_eb->insertData($arr);
        if (empty($id)) {
            return backarr(0, "新增失败");
        }
        return backarr(1, "新增成功", ['id' => $id]);

    }
    /**
     * 新增工作经历
     * 20200119
     * wj
     */
    public function newweinfo($arr)
    {
        $result = $this->checkparam(__FUNCTION__, $arr);
        if (1 != $result['status']) {
            return $result;
        }
        $openid = $arr['openid'];
        $m_u = new usermodel();
        $uinfo = $m_u->getinfobyopenid($openid);
        if (empty($uinfo)) {
            return backarr(0, "用户信息不存在");
        }
        $userid = $uinfo['id'];
        $m_r = new resumemodel();
        $rinfo = $m_r->getinfobyuserid($userid);
        if (empty($rinfo)) {
            return backarr(0, "简历不存在");
        }
        $resumeid = $rinfo['id'];
        $arr['resume_id'] = $resumeid;
        $arr['user_id'] = $userid;
        $m_we = new workexperiencemodel();
        $id = $m_we->insertData($arr);
        if (empty($id)) {
            return backarr(0, "新增失败");
        }
        return backarr(1, "新增成功", ['id' => $id]);
    }
}
